- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
TargetMap< GR > Class Template Reference
Graph Maps

## Detailed Description

### template<typename GR>
class lemon::TargetMap< GR >

TargetMap provides access for the target node of each arc in a digraph, which is returned by the `target()` function of the digraph.

Template Parameters

  GR | The digraph type.

See Also
  SourceMap

`#include <lemon/maps.h>`

## Public Types
typedef GR::Arc | Key
| The key type (the `Arc` type of the digraph).
typedef GR::Node | Value
| The value type (the `Node` type of the digraph).

## Public Member Functions
| TargetMap (const GR &digraph)
| Constructor. More...
Value | operator[] (const Key &e) const
| Returns the target node of the given arc. More...

## Related Functions
(Note that these are not member functions.)
template<typename GR >
TargetMap< GR > | targetMap (const GR &graph)
| Returns a `TargetMap` class. More...

## Constructor & Destructor Documentation

TargetMap | ( | const GR & | digraph | ) |
| inline explicit

Constructor.

Parameters

  digraph | The digraph that the map belongs to.

## Member Function Documentation

Value operator[] | ( | const Key & | e | ) | const
| inline

Returns the target node of the given arc.